<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
require('../../config.php');
require(WB_PATH.'/modules/admin.php');
if (!$_SESSION['GROUP_ID'] == 1) exit ("You are not allowed to edit pagetypes!");


require_once(WB_PATH.'/modules/multipage/languages/EN.php');
if(file_exists(WB_PATH.'/modules/multipage/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/multipage/languages/'.LANGUAGE.'.php');
}
if (isset($_GET['pagetype'])) {
	$pagetype = $_GET['pagetype'];
} else {
	$pagetype = '1';
}

$query = "SELECT * FROM ".TABLE_PREFIX."mod_multipage_types WHERE page_type = '$pagetype'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$fields = $settings['fields'];
$name = $settings['name'];
$template = stripslashes($settings['template']);
$css = stripslashes($settings['css']);

$query = "SELECT * FROM ".TABLE_PREFIX."mod_multipage_types";
$get_types = $database->query($query);
$olist = "<select onchange=\"window.location='pagetypes.php?page_id=$page_id&pagetype='+this.value\" style=\"width:100%;\" name=\"pagetype\">";
while ($types = $get_types->fetchRow()) {
	$selected = ($pagetype == $types['page_type'] ? " selected":"");
	$olist .= "<option value=\"".$types['page_type']."\"".$selected.">".$types['name']."</option>";
}
$olist .= "</select>";

if(file_exists(WB_PATH .'/modules/editarea/edit_area/edit_area.js')) {
	echo '<script language="javascript" type="text/javascript" src="'.WB_URL .'/modules/editarea/edit_area/edit_area_full.js"></script>
	<script language="javascript" type="text/javascript">
	editAreaLoader.init({
	id : "htmledit"		// textarea id
	,font_size: "8"
	,font_family: "verdana, monospace"
	,syntax: "php"			// syntax to be uses for highgliting
	,start_highlight: true		// to display with highlight mode on start-up
	});
	editAreaLoader.init({
	id : "cssedit"				// textarea id
	,font_size: "8"
	,font_family: "verdana, monospace"
	,syntax: "css"				// syntax to be uses for highgliting
	,start_highlight: true		// to display with highlight mode on start-up
	} );
	</script>';
} elseif(file_exists(WB_PATH .'/include/editarea/edit_area_full.js')) {
	echo '<script language="javascript" type="text/javascript" src="'.WB_URL .'/include/editarea/edit_area_full.js"></script>
	<script language="javascript" type="text/javascript">
	editAreaLoader.init({
	id : "htmledit"				// textarea id
	,font_size: "8"
	,font_family: "verdana, monospace"
	,syntax: "html"				// syntax to be uses for highgliting
	,start_highlight: true		// to display with highlight mode on start-up
	}); 
	editAreaLoader.init({
	id : "cssedit"				// textarea id
	,font_size: "8"
	,font_family: "verdana, monospace"
	,syntax: "css"				// syntax to be uses for highgliting
	,start_highlight: true		// to display with highlight mode on start-up
	} );
	</script>';
}


?>

<form enctype="multipart/form-data" name="wysiwyg<?php echo $section_id; ?>" action="<?php echo WB_URL; ?>/modules/multipage/save_pagetypes.php" method="post">
<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />

<table cellpadding="2" cellspacing="0" border="0" width="99%" style="border:1px solid #7f7f7f; padding: 3px;">
<tr style="background:#F0F0F0"><td><H2><?php echo $MPP['SELTYPE']; ?></H2></td><td align="right">
<input type="button" name="newpagetype" value="<?php echo $MPP['ADDTYPE']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/multipage/addpagetype.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pagetype=<?php echo $pagetype; ?>';">
</td></tr>
<tr><td width="150" nowrap="true"><?php echo $MPP['PAGETYPE']; ?>:</td><td><?php echo $olist; ?>
</td></tr>
<tr><td></td><td align="right">
<input type="button" name="delpagetype" value="<?php echo $MPP['DELTYPE']; ?>" onclick="javascript: if(confirm('<?php echo $MPP['WARNDEL']; ?>')) window.location = '<?php echo WB_URL; ?>/modules/multipage/delpagetype.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pagetype=<?php echo $pagetype; ?>';">
</td></tr>
</table>
<br/>
<table cellpadding="2" cellspacing="0" border="0" width="99%" style="border:1px solid #7f7f7f; padding: 3px;">
<tr style="background:#F0F0F0"><td colspan="2"><H2><?php echo $MPP['EDITTYPE']; ?></H2></td></tr>
<tr><td><b><?php echo $MPP['NAME']; ?></b></td><td><input size="80" type="text" name="name" value="<?php echo $name ?>"></td></tr>
<tr><td><b><?php echo $MPP['FIELDS']; ?></b></td><td><input size="80" type="text" name="fields" value="<?php echo $fields ?>"></td></tr>
<tr style="background:#F0F0F0"><td colspan="2"><h2><?php echo $MPP['TEMPLATE']; ?></h2></td></tr>
<tr><td colspan="2">
	<textarea id ="htmledit" name="template" style="width: 100%; height: 300px;"><?php echo $template; ?></textarea>
</td></tr>
<tr style="background:#F0F0F0"><td colspan="2"><h2><?php echo $MPP['CSS']; ?></h2></td></tr>
<tr><td colspan="2">
	<textarea id ="cssedit"  name="css" style="width: 100%; height: 300px;"><?php echo $css; ?></textarea>

</td></tr>

</table>
<br />

<table cellpadding="0" cellspacing="0" border="0" width="100%" style="padding-bottom: 3px;">
<tr>
	<td align="left">
		<input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" />
	</td>
	<td align="right">
		</form>
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/admin/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>

</form>