<?php
/*
 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: ../../index.php'));
	
// Create tables

$table = TABLE_PREFIX .'mod_multipage';
$database->query("DROP TABLE IF EXISTS `$table`");
$database->query("CREATE TABLE `$table` (
	`section_id` INT NOT NULL DEFAULT '0',
	`page_id` INT NOT NULL DEFAULT '0',
	`page_type` INT NOT NULL DEFAULT '1',
	`content` LONGTEXT NULL,
	`serialized` TEXT NULL,
	PRIMARY KEY (`section_id`)
	)"
);

$table = TABLE_PREFIX .'mod_multipage_types';
$database->query("DROP TABLE IF EXISTS `$table`");
$database->query("CREATE TABLE `$table` (
	`page_type` INT NOT NULL AUTO_INCREMENT,
	`name` VARCHAR(64) NOT NULL DEFAULT '',
	`fields` TEXT NULL ,
	`template` TEXT NULL ,	
	`css` TEXT NULL ,
	PRIMARY KEY (`page_type`)
	)"
);

$name = "Default page with Name, Website and Email field";
$fields = "Name,Website,Email";
$template = addslashes('<table class="multipage_data">
<tr>
	<td valign="top">
		<table class="multipage_wysiwyg">
			<tr>
				<td>{WYSIWYG}</td>
			</tr>
		</table>
	</td>
	<td valign="top">
		<table class="multipage_extra">
			<tr>
				<td>Name:</td><td><strong>{NAME}</strong></td>
			</tr>
			<tr>
				<td>Website:</td><td><a href="{WEBSITE}" target="_blank">{WEBSITE}</a></td>
			</tr>
			<tr>
				<td>Email:</td><td>{EMAIL}</td>
			</tr>
		</table>
	</td>
</tr>
</table>');
$css = addslashes('<style type="text/css">
.multipage_data {border:0; width: 99%; }
.multipage_wysiwyg {width: 50%;}
.multipage_extra { width:50%; vertical-align:top; }
</style>');

$database->query("INSERT INTO $table (`name`,`fields`,`template`,`css`) VALUES ('$name','$fields','$template','$css')");
?>