<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
if (!function_exists('__unserialize')) {
/*
	function __unserialize($sObject) {  // found in php manual :-)
		$__ret =preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'", $sObject );
		return unserialize($__ret);
	}
*/	
	function __unserialize($sObject) {
		$__ret = preg_replace_callback( '/s:([0-9]+):\"(.*?)\";/',
			function ($matches) { return "s:".strlen($matches[2]).':"'.$matches[2].'";'; },
			$sObject
		);
		return unserialize($__ret);
	}
}

// Get content
$get_content = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_multipage WHERE section_id = '$section_id'");
$fetch_content = $get_content->fetchRow();
$content = $fetch_content['content'];
// $wb->preprocess($content);
$pagetype = $fetch_content['page_type'];
$efields = __unserialize($fetch_content['serialized']);

$query = "SELECT * FROM ".TABLE_PREFIX."mod_multipage_types WHERE page_type = '$pagetype'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$fields = $settings['fields'];
$fieldArray = explode(",",$settings['fields']);
$template = $settings['template'];
$css = $settings['css'];

// Setup global vars from WB to be used in the templates.
$_user_name = isset($_SESSION['USERNAME'])?$_SESSION['USERNAME']:'';
$_display_name = isset($_SESSION['DISPLAY_NAME'])?$_SESSION['DISPLAY_NAME']:'';
$_email = isset($_SESSION['EMAIL'])?$_SESSION['EMAIL']:'';
$vars = array("%WB_PATH%","%WB_URL%","%ADMIN_PATH%","%ADMIN_URL%","%PAGE_TITLE%","%MENU_TITLE%","%PAGE_DESCRIPTION%","%TEMPLATE_DIR%","%PAGE_ID%","%PAGES_DIRECTORY%","%MEDIA_DIRECTORY%","%LANGUAGE%","%USER_NAME%","%DISPLAY_NAME%","%EMAIL%");
$values = array (WB_PATH,WB_URL,ADMIN_PATH,ADMIN_URL,PAGE_TITLE,MENU_TITLE,PAGE_DESCRIPTION,TEMPLATE_DIR,PAGE_ID,PAGES_DIRECTORY,MEDIA_DIRECTORY,LANGUAGE,$_user_name,$_display_name,$_email);


foreach  ($fieldArray as $v => $k) {
	if (!isset($efields[$k])) $efields[$k] = "";
	$efields[$k]= str_replace('http://', '', $efields[$k] );
	$efields[$k] = str_replace($vars, $values, ($efields[$k]));
	$vars[] = strtoupper('{'.$k.'}');
	$values[] = $efields[$k];
}
// First fill content with possible vars
$content = str_replace($vars, $values, stripslashes($content));
//add content to final result and fill template
$vars[] = '{WYSIWYG}';
$values[] = $content;
echo $css.str_replace($vars, $values, stripslashes($settings['template']));

?>